Debian Bug report logs - #693823
Add multiarch metadata

version graph

Package: src:indent; Maintainer for src:indent is Santiago Vila <sanvila@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 20 Nov 2012 18:18:04 UTC

Severity: normal

Tags: patch

Found in version indent/2.2.11-2

Fixed in version indent/2.2.11-3

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#693823; Package src:indent. (Tue, 20 Nov 2012 18:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 20 Nov 2012 18:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Add multiarch metadata
Date: Tue, 20 Nov 2012 18:16:15 +0000
[Message part 1 (text/plain, inline)]
Source: indent
Version: 2.2.11-2
Severity: normal
Tags: patch
User: multiarch-devel@lists.alioth.debian.org
Usertag: multiarch

For cross-dependencies to work properly under multiarch this package needs to be marked

Multi-Arch: foreign

so that it can satisfy a build-dependency for any architecture. See http://wiki.debian.org/Multiarch/CrossDependencies and http://wiki.debian.org/Multiarch/Implementation for explanation and background. 

This enable both cross-grading between architectures and cross-building. 


-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[indent-2.2.11-2-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#693823; Package src:indent. (Tue, 20 Nov 2012 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. (Tue, 20 Nov 2012 18:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 693823@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Wookey <wookey@wookware.org>, 693823@bugs.debian.org
Subject: Re: Bug#693823: Add multiarch metadata
Date: Tue, 20 Nov 2012 19:45:47 +0100
El 20/11/12 19:16, Wookey escribió:
> Multi-Arch: foreign

Ok. Will be done in the next upload.

I'm curious: How many packages have indent in their build-depends?



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Tue, 20 Nov 2012 19:06:11 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Tue, 20 Nov 2012 19:06:11 GMT) Full text and rfc822 format available.

Message #15 received at 693823-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 693823-close@bugs.debian.org
Subject: Bug#693823: fixed in indent 2.2.11-3
Date: Tue, 20 Nov 2012 19:02:27 +0000
Source: indent
Source-Version: 2.2.11-3

We believe that the bug you reported is fixed in the latest version of
indent, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693823@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated indent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 20 Nov 2012 19:43:18 +0100
Source: indent
Binary: indent indent-doc
Architecture: source amd64 all
Version: 2.2.11-3
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 indent     - C language source code formatting program
 indent-doc - Documentation for GNU indent
Closes: 693823
Changes: 
 indent (2.2.11-3) unstable; urgency=low
 .
   * Added Multi-Arch: foreign. Closes: #693823.
Checksums-Sha1: 
 0eeca1dace33f73b23d53553ac4d76cdf3badd17 1433 indent_2.2.11-3.dsc
 dd1e51293b12ed9ad44e26ad00229e0a85975e1a 19797 indent_2.2.11-3.debian.tar.gz
 4faac69c2e1d8962eaa6ee5bc832d84eb866192f 110442 indent_2.2.11-3_amd64.deb
 902b238f64b2571cd4cffbb5af7e363a0d0c3e18 33032 indent-doc_2.2.11-3_all.deb
Checksums-Sha256: 
 b977336b9fb6b8e96513f6004a63ab1adc5c681461d5918514a5afe308a41ac9 1433 indent_2.2.11-3.dsc
 6d0291ab89e1f58b4b3c1d9abeff7e83369951457c9a33e45a40065ed0e5dac8 19797 indent_2.2.11-3.debian.tar.gz
 c93e813c4868e1eb6595c0e5c6519082865d0e18219ebb7ac7d74ee405f7449e 110442 indent_2.2.11-3_amd64.deb
 8a046855a5fece289609802311b15d6876cfaf0a9a4fec0018073cf1e6bfcd7f 33032 indent-doc_2.2.11-3_all.deb
Files: 
 7792baf25c2fdcd3969193cb868a3418 1433 devel optional indent_2.2.11-3.dsc
 7cbdbe595817bde5f917847a61a14a48 19797 devel optional indent_2.2.11-3.debian.tar.gz
 d4248664ad489fc5fdd559c3ab082153 110442 devel optional indent_2.2.11-3_amd64.deb
 9b8e2b82e1edeab93ac763b24f05aedf 33032 doc optional indent-doc_2.2.11-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQq9B7AAoJEEHOfwufG4sywQIH/0pFPWgzkY815CK+0e+4auJk
R+sSKoY0CsrK32aci3COdFora8SB4UiN8HYJ8IuJAd1D5Uzns14ikYobD6SV2T5r
2odGmLoeSqlserCt8Utsn7hQUbEnHBopsMzsgJgk8uEJQFpRbslXgvQKIWnXpzWa
1pa0VDxMdXgmEiVUwYsbzUnr+C+IWXezuY63JYSzPcM7uPJhTGsBqWVU+oLCDO+F
rAIY0DY8OClJs0TbQ8LML+lh39w1gC/uZ3N41UqYWMdxbGmDpYWXHWQHKGRsiHo4
V0GHRslUBsLEtgDLVROq6Jysxao8j4Gr+cYii7bthz38DuWGUq6g3dW9fR2hwF4=
=L+IW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:56:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:44:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.